/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
#ifndef _SAMPCLASS_H_
#define _SAMPCLASS_H_


/********* for Ch space **************/
#ifdef _CH_ 
#include<dlfcn.h>
#include<stdarg.h>
class Class1 {
  private:
    static void *g_sample_dlhandle; // make sure to load dl once
    static int   g_sample_dlcount;  // count the instance of class
  public:
    Class1(...);
    ~Class1();
};
void * Class1::g_sample_dlhandle = NULL;
int Class1::g_sample_dlcount = 0;

#pragma importf <sampclass.chf>
#else
/********* for C++ space **************/
class Class1 {
  private: 
    double m_d;
  public:
    Class1();
    Class1(int i);
    Class1(int i, double d);
    ~Class1();
};
#endif

#endif /* _SAMPCLASS_H_ */
